# Uses of Class
org.apache.lucene.sandbox.search.PhraseWildcardQuery.TermsData

Packages that use PhraseWildcardQuery.TermsData
Package
Description
org.apache.lucene.sandbox.search
This package contains a flexible graph-based proximity query, TermAutomatonQuery, and geospatial queries.

- ## Uses of PhraseWildcardQuery.TermsData in org.apache.lucene.sandbox.search

  Fields in org.apache.lucene.sandbox.search declared as PhraseWildcardQuery.TermsData
  Modifier and Type
  Field
  Description
  `protected final PhraseWildcardQuery.TermsData`
  PhraseWildcardQuery.TermData.`termsData`
  Methods in org.apache.lucene.sandbox.search that return PhraseWildcardQuery.TermsData
  Modifier and Type
  Method
  Description
  `protected PhraseWildcardQuery.TermsData`
  PhraseWildcardQuery.`createTermsData(int numSegments)`
  Creates new `PhraseWildcardQuery.TermsData`.
  Methods in org.apache.lucene.sandbox.search with parameters of type PhraseWildcardQuery.TermsData
  Modifier and Type
  Method
  Description
  `protected int`
  PhraseWildcardQuery.`collectMultiTermData(PhraseWildcardQuery.MultiTerm multiTerm, IndexSearcher searcher, List<LeafReaderContext> segments, int remainingMultiTerms, int maxExpansionsForTerm, PhraseWildcardQuery.TermsData termsData)`
  Collects the `TermState` and `TermStatistics` for a multi-term with expansion.
  `protected void`
  PhraseWildcardQuery.`collectMultiTermStats(IndexSearcher searcher, Map<BytesRef,PhraseWildcardQuery.TermStats> termStatsMap, PhraseWildcardQuery.TermsData termsData, PhraseWildcardQuery.TermData termData)`
  Collect the term stats across all segments.
  `protected int`
  PhraseWildcardQuery.`collectSingleTermData(PhraseWildcardQuery.SingleTerm singleTerm, IndexSearcher searcher, List<LeafReaderContext> segments, PhraseWildcardQuery.TermsData termsData)`
  Collects the `TermState` and `TermStatistics` for a single-term without expansion.
  `protected int`
  PhraseWildcardQuery.MultiTerm.`collectTermData(PhraseWildcardQuery query, IndexSearcher searcher, List<LeafReaderContext> segments, int remainingMultiTerms, int maxExpansionsForTerm, PhraseWildcardQuery.TermsData termsData)`
  `protected abstract int`
  PhraseWildcardQuery.PhraseTerm.`collectTermData(PhraseWildcardQuery query, IndexSearcher searcher, List<LeafReaderContext> segments, int remainingMultiTerms, int maxExpansionsForTerm, PhraseWildcardQuery.TermsData termsData)`
  Collects `TermState` and `TermStatistics` for the term (potentially expanded).
  `protected int`
  PhraseWildcardQuery.PhraseTerm.`collectTermData(PhraseWildcardQuery query, IndexSearcher searcher, List<LeafReaderContext> segments, PhraseWildcardQuery.TermsData termsData)`
  Collects `TermState` and `TermStatistics` for the term without expansion.
  `protected int`
  PhraseWildcardQuery.SingleTerm.`collectTermData(PhraseWildcardQuery query, IndexSearcher searcher, List<LeafReaderContext> segments, int remainingMultiTerms, int maxExpansionsForTerm, PhraseWildcardQuery.TermsData termsData)`
  `protected int`
  PhraseWildcardQuery.SingleTerm.`collectTermData(PhraseWildcardQuery query, IndexSearcher searcher, List<LeafReaderContext> segments, PhraseWildcardQuery.TermsData termsData)`
  Constructors in org.apache.lucene.sandbox.search with parameters of type PhraseWildcardQuery.TermsData
  Modifier
  Constructor
  Description
  `protected`
  `TermData(int numSegments, PhraseWildcardQuery.TermsData termsData)`